Bug 487281 - (egroupware) Review Request: eGroupware - A web-based groupware suite
Review Request: eGroupware - A web-based groupware suite
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-02-25 05:12 EST by Pavel Alexeev
Modified: 2013-05-02 20:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-01 11:12:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
English expression (17.11 KB, patch)
2010-11-18 21:54 EST, Ruediger Landmann
no flags Details | Diff
Updated patch (12.47 KB, patch)
2010-11-22 00:20 EST, Ruediger Landmann
no flags Details | Diff

  None (edit)
Description Pavel Alexeev 2009-02-25 05:12:36 EST
Spec URL: http://hubbitus.net.ru/rpm/Fedora9/eGroupware/eGroupware.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora9/eGroupware/eGroupware-1.6.001-7.fc9.src.rpm
Description: eGroupware is a web-based groupware suite written in PHP.

Include many usefully applications such as: (bug)tracker, Site management,
web-mail client, project management (time planning, Gannt diagrams, HRM), TODO lists, address book, import-export in many formats, synchronization with many standalone clients such us Thunderbird, Outlook, mobile phones, FAQ management, and many many more.

Some additional questions/things for the future reviewer:
1) koji build successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1168509
http://koji.fedoraproject.org/koji/taskinfo?taskID=1168381
http://koji.fedoraproject.org/koji/taskinfo?taskID=1168637
2) rpmlint on src.rpm and spec file is silent.
rpmlint on binary packages is NOT silent, but most of errors is gone, and few are:
2.1) Many "W: no-documentation" - I extract all documentation what was be able to find, but few packages do not contain it at all. I think it is not critical.
2.2) "E: zero-length". This files has zero length in upstream tarball. I can delete it, but I prefer leave it as is (what if it will be filled in future?).
2.3) Tail of errors:
$ rpmlint eGroupware-*.rpm | egrep -v 'W: no-documentation|E: zero-length'
eGroupware-core.noarch: W: non-conffile-in-etc /etc/cron.d/eGroupware
eGroupware-gallery.noarch: W: dangling-relative-symlink /usr/share/egroupware/gallery/gallery2 ../../gallery2
30 packages and 0 specfiles checked; 43 errors, 20 warnings.
2.3.1) Is really /etc/cron.d/eGroupware should be marked as config?? Why? I can't find anything in documentation/guidelines on this theme. My thing it is not config and reported by rpmlint erroneously.
2.3.2) Symlink is not dangling. It is relied to installed gallery2 package in system and it is already mentioned in Requires. So, this error happened only unless installation was done.
Comment 3 Matthias Runge 2010-03-17 15:30:33 EDT
Ping
Pavel, are you still working on this?
Comment 4 Pavel Alexeev 2010-03-17 17:17:27 EDT
Hm, about work yoa ask? All packaging done and I use eGroupware on my server and wait review here.

In few days I plan update it to new 1.6.003 version.
Comment 5 Matthias Runge 2010-03-18 03:39:09 EDT
I could do an inofficial review, since I'm not approved, yet.

Are you planning to create a version for f12, since f9 is some outdated now.
Comment 7 Ruediger Landmann 2010-10-31 02:47:38 EDT
Hi Pavel --

I'd like to start a formal review for eGroupware, but there seems to be a problem with the macros you have set, so the package won't build.[0]

Could you please fix the errors? When the package builds, I'll be happy to review it.

On a more minor note, the English in the specfile needs some attention, especially in the %description and the README.fedora file. Unless you already have someone to help you with this, I am happy to help with that too.

Cheers
Rudi


[0] Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2566709
Comment 8 Ruediger Landmann 2010-11-02 20:26:13 EDT
When you have a version of the package that builds, please remove "BuildFails" from the whiteboard.
Comment 10 Ruediger Landmann 2010-11-09 22:34:53 EST
Sorry for my delay too! Package builds fine now; I will have a review posted here soon.
Comment 11 Ruediger Landmann 2010-11-11 01:42:02 EST
To start with, some comments about the spec file and RPM output. Could you please address these issues and rebuild the SRPM?


General:
* Release number doesn't match changelog

* Unless you're planning to release this for EPEL, you don't need:
  - the BuildRoot tag
  - to clean the BuildRoot in %install
  - the %clean section

* You already discussed the missing documentation in your original 
request and although this is unfortunate, I agree that this is not a 
blocker. (documentation warnings omitted in rpmlint comments below)

rpmlint output:

$ rpmlint SPECS/eGroupware.spec 
SPECS/eGroupware.spec:128: W: unversioned-explicit-obsoletes egw-pear
SPECS/eGroupware.spec:128: W: unversioned-explicit-obsoletes eGroupware-egw-pear
SPECS/eGroupware.spec: W: invalid-url Source5: egroupware_fedora.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

==========================================================================
* Neither egw_pear nor eGroupware-egw-pear were ever packaged for Fedora, 
so I don't think we need the Obsoletes (nor the corresponding Provides).
You also have the package obsoleting itself; I guess you meant egw_pear...

* Does upstream not publish egroupware_fedora.tar.bz2 somewhere? Could you
perhaps ask them if they would consider publishing it?
==========================================================================

$ rpmlint SRPMS/eGroupware-1.6.003-10.fc14.src.rpm 
eGroupware.src: W: spelling-error Summary(en_US) php -> fp, pp, hp
eGroupware.src: W: spelling-error Summary(ru) Онлайн -> Сплайн, Лайнер, Лайновый
eGroupware.src: W: spelling-error %description -l en_US avalible -> av alible, av-alible, alible
eGroupware.src: W: spelling-error %description -l ru based 
eGroupware.src: W: spelling-error %description -l ru трекер -> треке, тренер, крекер
eGroupware.src: W: spelling-error %description -l ru web 
eGroupware.src: W: spelling-error %description -l ru mail 
eGroupware.src: W: spelling-error %description -l ru core 
eGroupware.src: W: spelling-error %description -l ru компонеты -> компоненты, компонент, компонуется
eGroupware.src: W: spelling-error %description -l ru доустановить -> до установить, установиться, установить
eGroupware.src:128: W: unversioned-explicit-obsoletes egw-pear
eGroupware.src:128: W: unversioned-explicit-obsoletes eGroupware-egw-pear
eGroupware.src: W: invalid-url Source5: egroupware_fedora.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 13 warnings.

==========================================================================
* I am happy to help with the English expression in the Summary and 
Description; I'll attach a patch to this bug shortly. I can't help
with the Russian, though, so please check this! (all other spelling 
warnings omitted below).
==========================================================================

eGroupware-core.noarch: E: zero-length /usr/share/egroupware/setup/lang/egw_eu.lang
eGroupware-core.noarch: E: zero-length /usr/share/egroupware/setup/lang/egw_rw.lang
eGroupware-core.noarch: E: zero-length /usr/share/egroupware/setup/lang/egw_uk.lang
eGroupware-core.noarch: E: zero-length /usr/share/egroupware/setup/lang/egw_tr.lang
eGroupware-core.noarch: E: zero-length /usr/share/egroupware/phpgwapi/js/fckeditor/editor/dialog/fck_spellerpages/spellerpages/blank.html
eGroupware-core.noarch: E: zero-length /usr/share/egroupware/setup/lang/egw_el.lang
eGroupware-core.noarch: E: zero-length /usr/share/egroupware/setup/lang/egw_da.lang
eGroupware-core.noarch: W: non-conffile-in-etc /etc/cron.d/eGroupware

==========================================================================
* You already discussed the zero-length files when you opened this 
request. Perhaps use something like "find -size 0" to detect and remove
the empty files. If these languages are added later, we will no longer
remove them, but we will also remove any other empty language files
added in future. Refer to http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Zero_length_files
* You also discussed /etc/cron.d/eGroupware -- I agree this is not a 
problem here.
==========================================================================

eGroupware-gallery.noarch: W: dangling-relative-symlink /usr/share/egroupware/gallery/gallery2 ../../gallery2

==========================================================================
* You already discussed this symlink in the original request.
==========================================================================

eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/bulix/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/includes/xml/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/blue/images/index.html
eGroupware-phpsysinfo.noarch: E: non-executable-script /usr/share/egroupware/phpsysinfo/tools/MakeRelease.sh 0644L /bin/sh
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/kde/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/orange/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/black/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/includes/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/classic/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/wintendoxp/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/metal/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/bulix/images/index.html
eGroupware-phpsysinfo.noarch: E: non-executable-script /usr/share/egroupware/phpsysinfo/tools/MakeCVS.sh 0644L /bin/sh
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/includes/mb/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/tools/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/classic/images/index.html
eGroupware-phpsysinfo.noarch: E: non-executable-script /usr/share/egroupware/phpsysinfo/tools/GenerateCL.sh 0644L /bin/sh
eGroupware-phpsysinfo.noarch: E: non-executable-script /usr/share/egroupware/phpsysinfo/tools/cvs2cl.pl 0644L /bin/sh
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/orange/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/typo3/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/includes/lang/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/includes/os/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/blue/index.html
eGroupware-phpsysinfo.noarch: E: non-executable-script /usr/share/egroupware/phpsysinfo/tools/GenerateChangeLog.sh 0644L /bin/sh
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/typo3/images/bar_right.gif
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/aq/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/windows_classic/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/metal/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/black/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/typo3/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/aq/images/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/windows_classic/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/wintendoxp/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/sample/index.html
eGroupware-phpsysinfo.noarch: E: zero-length /usr/share/egroupware/phpsysinfo/templates/kde/images/index.html

==========================================================================
* Are all these empty index.html files are needed for anything? (perhaps
to avoid 404 errors?) If they're not needed, please filter them out.
* Should these scripts be executable? 
==========================================================================

30 packages and 0 specfiles checked; 53 errors, 42 warnings.
Comment 12 Pavel Alexeev 2010-11-11 03:48:27 EST
Thank you for the look on it.

Recent released 1.8 release candidate and I plan update to it (there many useful futures and bugfixes - http://www.egroupware.org/wiki?wikipage=releasenotes1.8). In it I also try address all mentioned issues. Please give me few days.
Comment 13 Pavel Alexeev 2010-11-17 11:27:10 EST
New version 1.8 ready. Also take into account all yours issues:
(In reply to comment #11)
> General:
> * Release number doesn't match changelog
Thanks, fixed.

> * Unless you're planning to release this for EPEL, you don't need:
>   - the BuildRoot tag
>   - to clean the BuildRoot in %install
>   - the %clean section
Why not?? Off course I plan maintain it also for el5 and el6 branches.

> rpmlint output:
> 
> $ rpmlint SPECS/eGroupware.spec 
> SPECS/eGroupware.spec:128: W: unversioned-explicit-obsoletes egw-pear
> SPECS/eGroupware.spec:128: W: unversioned-explicit-obsoletes
> eGroupware-egw-pear
> SPECS/eGroupware.spec: W: invalid-url Source5: egroupware_fedora.tar.bz2
> 0 packages and 1 specfiles checked; 0 errors, 3 warnings.
> 
> ==========================================================================
> * Neither egw_pear nor eGroupware-egw-pear were ever packaged for Fedora, 
> so I don't think we need the Obsoletes (nor the corresponding Provides).
It was usefull in my own repository to migrate versions. In Fedora it is not needed. Deleted.

> You also have the package obsoleting itself; I guess you meant egw_pear...
No it is not. Obsoleted eGroupware-egw-pear by current package eGroupware-egw_pear.


> * Does upstream not publish egroupware_fedora.tar.bz2 somewhere? Could you
> perhaps ask them if they would consider publishing it?

It was published in they src.rpm only, not separately. In any case it does not used anymore.


> $ rpmlint SRPMS/eGroupware-1.6.003-10.fc14.src.rpm 
> eGroupware.src: W: spelling-error Summary(en_US) php -> fp, pp, hp
> eGroupware.src: W: spelling-error Summary(ru) Онлайн -> Сплайн, Лайнер,
> Лайновый
> eGroupware.src: W: spelling-error %description -l en_US avalible -> av alible,
> av-alible, alible
> eGroupware.src: W: spelling-error %description -l ru based 
> eGroupware.src: W: spelling-error %description -l ru трекер -> треке, тренер,
> крекер
> eGroupware.src: W: spelling-error %description -l ru web 
> eGroupware.src: W: spelling-error %description -l ru mail 
> eGroupware.src: W: spelling-error %description -l ru core 
> eGroupware.src: W: spelling-error %description -l ru компонеты -> компоненты,
> компонент, компонуется
> eGroupware.src: W: spelling-error %description -l ru доустановить -> до
> установить, установиться, установить
> eGroupware.src:128: W: unversioned-explicit-obsoletes egw-pear
> eGroupware.src:128: W: unversioned-explicit-obsoletes eGroupware-egw-pear
> eGroupware.src: W: invalid-url Source5: egroupware_fedora.tar.bz2
> 1 packages and 0 specfiles checked; 0 errors, 13 warnings.
> 
> ==========================================================================
> * I am happy to help with the English expression in the Summary and 
> Description;
I'll be happy if you fix erroкs in my poor English (from mentioned above in English only "available" error fixed). Thank you.

> I can't help
> with the Russian, though, so please check this! (all other spelling 
> warnings omitted below).
With Russian I much more familiar :) .


> eGroupware-core.noarch: E: zero-length
> /usr/share/egroupware/setup/lang/egw_eu.lang
> eGroupware-core.noarch: E: zero-length
> /usr/share/egroupware/setup/lang/egw_rw.lang
> eGroupware-core.noarch: E: zero-length
> /usr/share/egroupware/setup/lang/egw_uk.lang
> eGroupware-core.noarch: E: zero-length
> /usr/share/egroupware/setup/lang/egw_tr.lang
> eGroupware-core.noarch: E: zero-length
> /usr/share/egroupware/phpgwapi/js/fckeditor/editor/dialog/fck_spellerpages/spellerpages/blank.html
> eGroupware-core.noarch: E: zero-length
> /usr/share/egroupware/setup/lang/egw_el.lang
> eGroupware-core.noarch: E: zero-length
> /usr/share/egroupware/setup/lang/egw_da.lang
> eGroupware-core.noarch: W: non-conffile-in-etc /etc/cron.d/eGroupware
> 
> ==========================================================================
> * You already discussed the zero-length files when you opened this 
> request. Perhaps use something like "find -size 0" to detect and remove
> the empty files. If these languages are added later, we will no longer
> remove them, but we will also remove any other empty language files
> added in future. Refer to
> http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Zero_length_files

Off course I known how delete zero length files. And it may be done for example with these .lang files (about .html speech below). But in case I do not wand delete all such files it may be done only manually file by file. And what kind of profit we can get from this?

> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/bulix/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/includes/xml/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/blue/images/index.html
> eGroupware-phpsysinfo.noarch: E: non-executable-script
> /usr/share/egroupware/phpsysinfo/tools/MakeRelease.sh 0644L /bin/sh
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/kde/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/orange/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/black/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/includes/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/classic/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/wintendoxp/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/metal/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/bulix/images/index.html
> eGroupware-phpsysinfo.noarch: E: non-executable-script
> /usr/share/egroupware/phpsysinfo/tools/MakeCVS.sh 0644L /bin/sh
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/includes/mb/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/tools/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/classic/images/index.html
> eGroupware-phpsysinfo.noarch: E: non-executable-script
> /usr/share/egroupware/phpsysinfo/tools/GenerateCL.sh 0644L /bin/sh
> eGroupware-phpsysinfo.noarch: E: non-executable-script
> /usr/share/egroupware/phpsysinfo/tools/cvs2cl.pl 0644L /bin/sh
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/orange/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/typo3/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/includes/lang/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/includes/os/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/blue/index.html
> eGroupware-phpsysinfo.noarch: E: non-executable-script
> /usr/share/egroupware/phpsysinfo/tools/GenerateChangeLog.sh 0644L /bin/sh
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/typo3/images/bar_right.gif
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/aq/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/windows_classic/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/metal/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/black/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/typo3/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/aq/images/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/windows_classic/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/wintendoxp/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/sample/index.html
> eGroupware-phpsysinfo.noarch: E: zero-length
> /usr/share/egroupware/phpsysinfo/templates/kde/images/index.html
> 
> ==========================================================================
> * Are all these empty index.html files are needed for anything? (perhaps
> to avoid 404 errors?) If they're not needed, please filter them out.

No, not for avoid 404 errors. Such files placed there as common case workaround disable directory listing. It off course may be done via -OPTIONS flag in .htaccess file, but will work only for Apache web server. Also when it is misconfigured and .htaccess is not work by some reasons - if such index file present it will be shown. Off course only for rpmlint I can fill its by some content like '<html><head></head><body></body></html>' (as I can understand it common sense), but again, if it was not done by upstream developer, for what???

> * Should these scripts be executable? 
Off course. Fixed.


http://hubbitus.net.ru/rpm/Fedora13/eGroupware/eGroupware-1.8.001-0.rc1.11.fc13.src.rpm
http://hubbitus.net.ru/rpm/Fedora13/eGroupware/eGroupware.spec
Comment 15 Ruediger Landmann 2010-11-18 21:54:35 EST
Created attachment 461436 [details]
English expression

Improvements to English expression
Comment 16 Ruediger Landmann 2010-11-18 23:38:29 EST
(In reply to comment #13)

> > * Unless you're planning to release this for EPEL, you don't need:
> >   - the BuildRoot tag
> >   - to clean the BuildRoot in %install
> >   - the %clean section
> Why not?? Off course I plan maintain it also for el5 and el6 branches.

OK -- if you plan to maintain for EL5 you still need these items. 

> > * Neither egw_pear nor eGroupware-egw-pear were ever packaged for Fedora, 
> > so I don't think we need the Obsoletes (nor the corresponding Provides).
> It was usefull in my own repository to migrate versions. In Fedora it is not
> needed. Deleted.

Thanks; so we probably don't need:

Provides:		egw-pear = %{version}
Provides:		egw_pear = %{version}

Similarly, I guess we don't need:

Provides:		egw-core = %{version}
Provides:		egw-etemplate = %{version}
Provides:		%{name}-etemplate = %{version}

for the core package, right?

> I'll be happy if you fix erroкs in my poor English (from mentioned above in
> English only "available" error fixed). Thank you.

Patch attached.

> > * You already discussed the zero-length files when you opened this 
> > request. Perhaps use something like "find -size 0" to detect and remove
> > the empty files. If these languages are added later, we will no longer
> > remove them, but we will also remove any other empty language files
> > added in future. Refer to
> > http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Zero_length_files
> 
> Off course I known how delete zero length files. And it may be done for example
> with these .lang files (about .html speech below). But in case I do not wand
> delete all such files it may be done only manually file by file. And what kind
> of profit we can get from this?

I now suggest deleting only the zero-length language files, which are all together in this directory. (See below for HTML; I agree with you that HTML is not a problem). These empty language files serve absolutely no purpose and only add useless cruft to the installation. 

> > * Are all these empty index.html files are needed for anything? (perhaps
> > to avoid 404 errors?) If they're not needed, please filter them out.
> 
> No, not for avoid 404 errors. Such files placed there as common case workaround
> disable directory listing. It off course may be done via -OPTIONS flag in
> .htaccess file, but will work only for Apache web server. Also when it is
> misconfigured and .htaccess is not work by some reasons - if such index file
> present it will be shown. Off course only for rpmlint I can fill its by some
> content like '<html><head></head><body></body></html>' (as I can understand it
> common sense), but again, if it was not done by upstream developer, for what???

OK; it seems reasonable to leave these in place; and I don't see any advantage in adding content to them. No problem here.

All that aside, unfortunately the SRPM you posted in comment #14 doesn't build:

http://koji.fedoraproject.org/koji/getfile?taskID=2610482&name=build.log
Comment 17 Pavel Alexeev 2010-11-19 07:46:59 EST
(In reply to comment #15)
> Created attachment 461436 [details]
> English expression
> 
> Improvements to English expression
Excuse me, but how I can download it as binary? Copy paste method via text produce error applying:
$ patch -b .orig -p1 eGroupware.spec < eGroupware.spec.EN.patch
patch: **** Only garbage was found in the patch input.
Comment 18 Pavel Alexeev 2010-11-19 14:01:25 EST
(In reply to comment #16)
> Thanks; so we probably don't need:
> 
> Provides:  egw-pear = %{version}
> Provides:  egw_pear = %{version}
Yes, if removed Obsoletes it also should be.

> Similarly, I guess we don't need:
> 
> Provides:  egw-core = %{version}
> Provides:  egw-etemplate = %{version}
> Provides:  %{name}-etemplate = %{version}
> 
> for the core package, right?
May be... I think it is atavism.

> I now suggest deleting only the zero-length language files, which are all
> together in this directory. (See below for HTML; I agree with you that HTML is
> not a problem). These empty language files serve absolutely no purpose and only
> add useless cruft to the installation. 
I do not see any advantage for that, but let it be if you want.

> All that aside, unfortunately the SRPM you posted in comment #14 doesn't build:
> 
> http://koji.fedoraproject.org/koji/getfile?taskID=2610482&name=build.log

Build also fixed.

http://hubbitus.net.ru/rpm/Fedora13/gxneur/gxneur-0.10.0-4.fc13.src.rpm
http://hubbitus.net.ru/rpm/Fedora13/gxneur/gxneur.spec
Comment 19 Ruediger Landmann 2010-11-22 00:20:58 EST
Created attachment 461920 [details]
Updated patch

Updated English patch for release 13
Comment 20 Ruediger Landmann 2010-11-22 00:46:24 EST
I think you linked the wrong spec and srpm in comment #18 ;)

* I've attached an updated English language patch -- just place it in the same directory as your spec file and run: patch -p1 <english.patch.

* Some new rpmlint output:

eGroupware-core.noarch: E: htaccess-file /usr/share/egroupware/etemplate/templates/default/words/.htaccess

Configuration should go in httpd/conf.d instead of separate .htaccess files. 

eGroupware-core.noarch: E: non-executable-script /usr/share/egroupware/phpgwapi/js/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.pl 0644L /usr/bin/perl

And another script to fix! ;)

Thanks Pavel -- nearly there!
Comment 21 Pavel Alexeev 2010-11-22 04:31:04 EST
Oh, I missed it and you translate, but do not stop review: "Modified pear classes necessary for eGroupware.". As Fedora do not allow bundled libraries and software I do not known what do with it...

I try contact Ralf to clarify changes and try separate its changes.
Comment 22 Adam Williamson 2010-11-24 16:00:31 EST
I think I've found another problem with this. I note you talked to upstream about the phpfreechat module that showed up in 1.8:

http://www.egroupware.org/egroupware/index.php?menuaction=tracker.tracker_ui.edit&tr_id=2759

Unfortunately, I don't think we can take that component; I believe the phpfreechat license isn't valid. It states:

"You plan to use the chat and you are ready to leave the linkback logo on your chat : the chat is totally free, and you can modify it. The license is LGPL."

I'm fairly sure it's not possible to restrict a grant of the code under LGPL like this. You can't say 'it's LGPL as long as you only use it in the following way'. Either you grant the code under LGPL or you don't.

So we couldn't take the phpfreechat module as it currently stands, I don't think. I'm not sure if 1.8 will build/work without it, I'm poking that myself at the moment (for the MDV package).

CCing Spot for confirmation.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 Adam Williamson 2010-11-24 16:01:36 EST
URL for the above - http://www.phpfreechat.net/license .



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 24 Tom "spot" Callaway 2010-11-24 16:21:35 EST
That license is clearly non-free.
Comment 25 Adam Williamson 2010-11-24 16:37:14 EST
upstream package treats the egroupware-phpfreechat module as part of egroupware core, but by the description of it (it lets users on the system chat to each other) it shouldn't be critical and we should be able to make egroupware work without it, so the resolutions here seem to be a) get phpfreechat to improve their licensing or b) just drop the groupware-phpfreechat module. i'm building an mdv package without that module at the moment, i'll see if it works.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 26 Adam Williamson 2010-11-24 19:45:28 EST
fwiw, egroupware seems to work okay without the freechat module.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 27 Pavel Alexeev 2010-11-25 06:31:00 EST
Guyes, as stated before, egroupware package provided below already exclude phpchat module initially by troubles with bundled libs.

According to license, we can't treat it as free because it require link to it?

I have told wit Ralf Becker about separate egroupware modifications from PEAR classes. He said what plan do that, but not in upcoming release what should be in friday. Quote:
"As I said before, we can start that refactoring in trunk, but probably not in the next 2-3 month (I'm leaving in 2 weeks for New Zealand and will be back beginning of February 2011).

Ralf"

So, I think we should wait untill it happened, and then make hack with our dependencies and include paths.

And Ruediger thank you very much for English description corrections I mostly merge all. It come from original package. My English is very basic to fix them, and if you are sure it is good.
Comment 28 Adam Williamson 2010-11-25 12:39:59 EST
pavel: cool! I don't see that stated anywhere above though :)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 29 Pavel Alexeev 2010-11-25 14:21:23 EST
Adam, sorry. Indeed it is only in comment in spec-file.
Comment 30 Pavel Alexeev 2011-04-23 06:55:33 EDT
I have got answer about estimated dates from Ralf by mail:

> Hi Pavel,
>
> We are not yet finished. Current plan for the release is end of May. 
>
> After that, we can try to move to extending stock PEAR classes. 
>
> Ralf
Comment 31 Tom "spot" Callaway 2012-07-27 15:07:40 EDT
Any update here?
Comment 32 Pavel Alexeev 2012-08-12 04:53:31 EDT
Unfortunately no.

I wrote again mail to Ralf. I think we should waiting week or two before it will be closed.
Comment 33 Pavel Alexeev 2013-05-02 15:13:00 EDT
I'm alive. But last mail received from Klaus Leithoff at 27.08.2012 which stated what unbundle work started... And nothing more.
As I also does not interesting in it I think it have no worth write again and again...
Comment 34 Adam Williamson 2013-05-02 20:07:31 EDT
FWIW, I don't have much interest in this since ownCloud came along. So I'm not gonna be any use in re-opening it or anything.

Note You need to log in before you can comment on or make changes to this bug.